import { IConfigurationService, IOrganizationContextService, ConfigurationTarget, IRegistry, IConfigurationOverrides } from '@adminide-stack/core';
import { ClientThreadConfigurationPolicyShape } from '@adminide-stack/extension-api/lib/protocol/client.protocol';
import { Connection } from '@adminide-stack/extension-api';
export declare class ClientConfigurationPolicy implements ClientThreadConfigurationPolicyShape {
    private readonly _organizationContextService;
    private readonly configurationService;
    private readonly _registry;
    private subscriptions;
    private proxy;
    constructor(connection: Connection, _organizationContextService: IOrganizationContextService, configurationService: IConfigurationService, _registry: IRegistry);
    private _getConfigurationData;
    $updateConfigurationOption(target: ConfigurationTarget, key: string, value: any, overrides: IConfigurationOverrides | undefined): Promise<void>;
    $removeConfigurationOption(target: ConfigurationTarget, key: string, overrides: IConfigurationOverrides | undefined): Promise<void>;
    unsubscribe(): void;
    private writeConfiguration;
    private deriveConfigurationTarget;
}
