import { WebExtHostOrganization } from './ext-host-organization';
import { WebExtHostConfigurationRoleShape, ClientThreadConfigurationRoleShape } from '@adminide-stack/extension-api/lib/protocol/client.protocol';
import { IConfigurationInitData } from '@adminide-stack/extension-api/lib/protocol/common.protocol';
import { ExtHostConfigProvider } from './ext-host-client-configuration';
import { IConfigurationChange } from '@adminide-stack/core';
export declare class WebExtHostConfigurationRole implements WebExtHostConfigurationRoleShape {
    private readonly _proxy;
    private readonly _extHostOrganization;
    private readonly _barrier;
    private _actual;
    constructor(proxy: ClientThreadConfigurationRoleShape, extHostOrganization: WebExtHostOrganization);
    getConfigProvider(): Promise<ExtHostConfigProvider>;
    $initializeConfiguration(data: IConfigurationInitData): void;
    $acceptConfigurationChanged(data: IConfigurationInitData, change: IConfigurationChange): void;
}
